## wmii-doc 1

=== beginnersguide-en/Makefile ===
AUTHOR='Steffen Liebergeld (stepardo) < perl (at) gmx (dot) org >'

all:		dvi pdf ps html

dvi:		beginnersguide.tex
		latex beginnersguide.tex

pdf:		beginnersguide.tex
		pdflatex beginnersguide.tex

ps:		dvi
		dvips beginnersguide.dvi

html:		beginnersguide.tex
		latex2html -local_icons -scalable_fonts -address $(AUTHOR) \
			-split +1 -subdir -show_section_numbers \
			beginnersguide.tex

clean:
		rm -f *.aux *.dvi *.log *.out *.toc *~

distclean:	clean
		rm -rf *.dvi *.pdf *.ps beginnersguide

.PHONY: all dvi pdf ps html clean distclean

=== debian/changelog ===
wmii-doc (1:1-15) unstable; urgency=low

  * QA upload.
  * Update to debhelper version 9.
  * Update to standards version 3.9.7.
  * Dropped debian/source/options.
  * Added patch to reproducibly build documentation.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 07 Feb 2016 15:29:46 +0100

wmii-doc (1:1-14) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Sun, 05 Dec 2010 22:58:36 +0100

wmii-doc (1:1-13) experimental; urgency=low

  * Updating standards version to 3.9.0.
  * Switching to source format 3.0 (quilt).
  * Updating to debhelper version 8.
  * Updating to standards version 3.9.1.

 -- Daniel Baumann <daniel@debian.org>  Mon, 29 Nov 2010 21:37:24 +0100

wmii-doc (1:1-12) unstable; urgency=low

  * Adding maintainer homepage field to control.
  * Marking maintainer homepage field to be also included in binary
    packages and changelog.
  * Adding README.source.
  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Sorting dh call in rules to more common order.
  * Moving maintainer homepage field from control to copyright.
  * Making build-depends versioned.
  * Updating README.source.

 -- Daniel Baumann <daniel@debian.org>  Thu, 25 Mar 2010 08:44:06 +0100

wmii-doc (1:1-11) unstable; urgency=low

  * Updating maintainer field.
  * Updating vcs fields.
  * Updating package to standards version 3.8.3.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Aug 2009 20:44:32 +0200

wmii-doc (1:1-10) unstable; urgency=low

  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Using correct rfc-2822 date formats in changelog.
  * Wrapping build independs.
  * Updating package to standards version 3.8.2.
  * Adding misc depends.
  * Updating year in copyright file.
  * Using quilt rather than dpatch.
  * Minimalizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Aug 2009 16:25:50 +0200

wmii-doc (1:1-9) unstable; urgency=medium

  * Adding missing build-depends to texlive-fonts-recommended (Closes: #493399).

 -- Daniel Baumann <daniel@debian.org>  Sun, 03 Aug 2008 00:32:00 +0200

wmii-doc (1:1-8) unstable; urgency=medium

  * Reordering rules file.
  * Rewriting copyright file in machine-interpretable format.
  * Adding vcs fields in control file.
  * Upgrading package to standards 3.8.0.
  * Upgrading package to debhelper 7.

 -- Daniel Baumann <daniel@debian.org>  Wed, 02 Jul 2008 15:58:00 +0200

wmii-doc (1:1-7) unstable; urgency=low

  * Applied patch from Tanguy Ortolo <tanguy.ortolo@wanadoo.fr> to update text
    for wmii 3.6 (Closes: #460266).

 -- Daniel Baumann <daniel@debian.org>  Sat, 12 Jan 2008 19:43:00 +0100

wmii-doc (1:1-6) unstable; urgency=low

  * If recommends of texlive-latex-extra doesn't get installed,
    texlive-latex-recommended doesn't get installed and thus FTBFS.
    Adding the latter manually to build-depends now (Closes: #458715).

 -- Daniel Baumann <daniel@debian.org>  Wed, 02 Jan 2007 16:27:00 +0100

wmii-doc (1:1-5) unstable; urgency=low

  * Bumping to new policy.
  * Using new homepage field in control.
  * Updated copyright file.
  * Using texlive build-depends now.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 20:50:00 +0100

wmii-doc (1:1-4) unstable; urgency=low

  * Run pdflatex a second time to include the TOC.

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Sep 2007 23:01:00 +0200

wmii-doc (1:1-3) unstable; urgency=medium

  * Updated upstream homepage.

 -- Daniel Baumann <daniel@debian.org>  Sun, 29 Oct 2006 17:09:00 +0200

wmii-doc (1:1-2) unstable; urgency=low

  * New email address.

 -- Daniel Baumann <daniel@debian.org>  Thu, 06 Jul 2006 14:23:00 +0200

wmii-doc (1:1-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Sun, 18 Jun 2006 13:29:00 +0200

wmii-doc (20060106-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Sat, 07 Jan 2006 13:29:00 +0000

=== debian/control ===
Source: wmii-doc
Section: doc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep:
 texlive-fonts-recommended, texlive-latex-base, texlive-latex-extra,
 texlive-latex-recommended, texlive-lang-german
Standards-Version: 3.9.7
Homepage: http://www.suckless.org/

Package: wmii-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: wmii
Description: lightweight tabbed and tiled X11 window manager, version 3 (documentation)
 wmii is a dynamic window manager for X11, which is highly customizable and
 usable with keyboard and mouse. It supports conventional, tabbed and tiled
 window management with low memory usage. It is highly modularized and uses an
 inter-process communication interface which is oriented on the 9p protocol of
 plan9.
 .
 This package contains the collected documentation of wmii 3.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_clean:
	$(MAKE) -C beginnersguide-en distclean

override_dh_auto_build:
	$(MAKE) -C beginnersguide-en pdf ps
	$(MAKE) -C beginnersguide-en pdf

override_dh_auto_install:
	install -D -m 0644 beginnersguide-en/beginnersguide.pdf debian/wmii-doc/usr/share/doc/wmii-doc/pdf/beginnersguide-en.pdf
	install -D -m 644 beginnersguide-en/beginnersguide.ps debian/wmii-doc/usr/share/doc/wmii-doc/ps/beginnersguide-en.ps
